Page MenuHomePhabricator

Clicking edit to edit a statement does not focus the input field
Closed, ResolvedPublic

Description

When you click "edit" to start editing an existing statement, the focus is not moved to the input field.

If you want to edit the value, you have to first click into the input field or tab from the beginning of the page to the input field, so focusing the field would remove a step in that case. If you want to edit something else (qualifiers or references), it would be easier to tab from the input field than from the beginning of the page when using the keyboard and it should make no difference when using the mouse.

This would also be more consistent with the "add" buttons which do already focus the first input field.

Details

Related Gerrit Patches:

Event Timeline

Nikki created this task.Jan 9 2017, 10:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2017, 10:12 AM
thiemowmde triaged this task as High priority.Jan 31 2017, 1:55 PM

Change 335664 had a related patch set uploaded (by Jonas Kress (WMDE)):
[Bug] Clicking edit to edit a statement does not focus the input field

https://gerrit.wikimedia.org/r/335664

Jonas claimed this task.Feb 2 2017, 4:16 PM
Jonas moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.

Change 335664 merged by jenkins-bot:
[Bug] Clicking edit to edit a statement does not focus the input field

https://gerrit.wikimedia.org/r/335664

WMDE-leszek closed this task as Resolved.Feb 22 2017, 10:29 AM
WMDE-leszek moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.
WMDE-leszek added a subscriber: WMDE-leszek.

It looks like https://gerrit.wikimedia.org/r/335664 did what was asked to change. Or is there still something to be done here @Jonas?

Should be done.